/*
 * Copyright 2004-2007 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.remoting.axis2.annotation.impl;

import java.lang.reflect.Field;
import org.seasar.framework.beans.BeanDesc;
import org.seasar.framework.beans.PropertyDesc;
import org.seasar.framework.beans.factory.BeanDescFactory;
import org.seasar.framework.util.FieldUtil;
import org.seasar.remoting.axis2.annotation.BeanAnnotationReader;

/**
 * 
 * @author takanori
 * 
 */
public class FieldBeanAnnotationReader implements BeanAnnotationReader {

    public String    PARAMETER_SUFFIX = "_PARAMETER";

    private BeanDesc beanDesc;

    public FieldBeanAnnotationReader(Class beanClass) {
        this.beanDesc = BeanDescFactory.getBeanDesc(beanClass);
    }

    public String getParameterAnnotation(PropertyDesc pd) {
        String propertyName = pd.getPropertyName();
        String parameterNameKey = propertyName + PARAMETER_SUFFIX;
        if (beanDesc.hasField(parameterNameKey)) {
            Field field = beanDesc.getField(parameterNameKey);
            return (String) FieldUtil.get(field, null);
        }
        return null;
    }
}
